{$G+,X+}

{Conditional defines that may affect this unit}
{$I AWDEFINE.INC}

{*********************************************************}
{*                   BPOPT.PAS 1.01                      *}
{*        Copyright (c) TurboPower Software 1995         *}
{*                 All rights reserved.                  *}
{*********************************************************}

unit Bpopt;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, TComIni;

type
  TBPlusOptionsForm = class(TForm)
    EnabledBox: TRadioGroup;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    procedure OkBtnClick(Sender: TObject);

  public
    constructor Create(AOwner : TComponent); override;
  end;

implementation

{$R *.DFM}

  constructor TBPlusOptionsForm.Create(AOwner : TComponent);
  begin
    inherited Create(AOwner);

    if BPlusEnabled then
      EnabledBox.ItemIndex := 1
    else
      EnabledBox.ItemIndex := 0;
  end;

procedure TBPlusOptionsForm.OkBtnClick(Sender: TObject);
begin
  if (EnabledBox.ItemIndex = 1) then
    BPlusEnabled := True
  else
    BPlusEnabled := False;
end;

end.

