{$G+,X+,F+}

{Conditional defines that may affect this unit}
{$I AWDEFINE.INC}

{*********************************************************}
{*                   TCOMMOD.PAS 1.01                    *}
{*        Copyright (c) TurboPower Software 1995         *}
{*                 All rights reserved.                  *}
{*********************************************************}

unit TComMod;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, AdMisc, AdModDB, TComIni;

type
  TModemForm = class(TForm)
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    InitializeEdit: TEdit;
    DialEdit: TEdit;
    DialSuffixEdit: TEdit;
    CancelDialEdit: TEdit;
    HangupEdit: TEdit;
    ConfigureEdit: TEdit;
    AnswerEdit: TEdit;
    Label9: TLabel;
    OkayEdit: TEdit;
    Label10: TLabel;
    ConnectEdit: TEdit;
    Label11: TLabel;
    BusyEdit: TEdit;
    Label12: TLabel;
    VoiceEdit: TEdit;
    Label13: TLabel;
    NoCarrierEdit: TEdit;
    Label14: TLabel;
    NoDialtoneEdit: TEdit;
    Label15: TLabel;
    ErrorEdit: TEdit;
    RingEdit: TEdit;
    Label16: TLabel;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    GroupBox4: TGroupBox;
    Label17: TLabel;
    BPSRateEdit: TEdit;
    LockDTEBox: TCheckBox;
    procedure OkBtnClick(Sender: TObject);

  public

    constructor Create(AOwner : TComponent); override;
  end;

implementation

{$R *.DFM}

constructor TModemForm.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);

  {set initial control values}
  with ModemInfo do begin
    InitializeEdit.Text := InitCmd;
    DialEdit.Text       := DialCmd;
    DialSuffixEdit.Text := DialTerm;
    CancelDialEdit.Text := DialCancel;
    HangupEdit.Text     := HangupCmd;
    ConfigureEdit.Text  := ConfigCmd;
    AnswerEdit.Text     := AnswerCmd;
    OkayEdit.Text       := OkMsg;
    ConnectEdit.Text    := ConnectMsg;
    BusyEdit.Text       := BusyMsg;
    VoiceEdit.Text      := VoiceMsg;
    NoCarrierEdit.Text  := NoCarrierMsg;
    NoDialToneEdit.Text := NoDialToneMsg;
    ErrorEdit.Text      := ErrorMsg;
    RingEdit.Text       := RingMsg;
    BPSRateEdit.Text    := IntToStr(DefBaud);
    LockDTEBox.Checked  := LockDTE;
  end;
end;

procedure TModemForm.OkBtnClick(Sender: TObject);
var
  E    : Integer;
  Temp : LongInt;

begin
  with ModemInfo do begin
    InitCmd       := TrimTrail(InitializeEdit.Text);
    DialCmd       := TrimTrail(DialEdit.Text);
    DialTerm      := TrimTrail(DialSuffixEdit.Text);
    DialCancel    := TrimTrail(CancelDialEdit.Text);
    HangupCmd     := TrimTrail(HangupEdit.Text);
    ConfigCmd     := TrimTrail(ConfigureEdit.Text);
    AnswerCmd     := TrimTrail(AnswerEdit.Text);
    OkMsg         := TrimTrail(OkayEdit.Text);
    ConnectMsg    := TrimTrail(ConnectEdit.Text);
    BusyMsg       := TrimTrail(BusyEdit.Text);
    VoiceMsg      := TrimTrail(VoiceEdit.Text);
    NoCarrierMsg  := TrimTrail(NoCarrierEdit.Text);
    NoDialToneMsg := TrimTrail(NoDialToneEdit.Text);
    ErrorMsg      := TrimTrail(ErrorEdit.Text);
    RingMsg       := TrimTrail(RingEdit.Text);

    Val(BPSRateEdit.Text, Temp, E);
    if (E = 0) and ValidBaud(Temp) then
      DefBaud := Temp;

    LockDTE := LockDTEBox.Checked;
  end;
end;

end.
